Worldticket API DOCUMENTATION

Cancel Booking by Segments with Automatic Refund.

This method cancels specific segment(s) within a booking together with refunding.

Request Parameters

Parameter Type Description Example
x-api-key Header Access Token Access token
local-name Header Custom HTTP header OTA_AirBookModifyRQ
agentId Payload Custom HTTP header ota
agencyId Payload Custom HTTP header ota

The request payload is composed of these following fields:

Request Payload
{
    "version": "2.001",
    "pos": {
        "source": [
            {
                "bookingChannel": {
                    "type": "OTA"
                },
                "isocurrency": "SAR",
                "requestorID": {
                    "type": "5",
                    "id": "agentId",
                    "name": "agencyId",
                    "location": "CPH"
                }
            }
        ]
    },
    "airReservation": "{airReservation from OTA_ReadRQ response}",
    "airBookModifyRQ": {
        "modificationType": "10",
        "airItinerary": "{airItinerary from OTA_ReadRQ response with only the specific `item in originDestinationOption[]`s to be cancelled}"
    }
}
Request Payload Schema
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "title": "OTA_AirBookModifyRQ",
  "type": "object",
  "properties": {
    "version": {
      "type": "string",
      "example": "2.001"
    },
    "pos": {
      "type": "object",
      "properties": {
        "source": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "bookingChannel": {
                "type": "object",
                "properties": {
                  "type": { "type": "string" }
                },
                "required": ["type"]
              },
              "isocurrency": { "type": "string" },
              "requestorID": {
                "type": "object",
                "properties": {
                  "type": { "type": "string" },
                  "id": { "type": "string" },
                  "name": { "type": "string" },
                  "location": { "type": "string" }
                },
                "required": ["type", "id", "name"]
              }
            },
            "required": ["bookingChannel", "isocurrency", "requestorID"]
          }
        }
      },
      "required": ["source"]
    },
    "airReservation": {
      "type": "object",
      "properties": {
        "airItinerary": {
          "type": "object",
          "properties": {
            "originDestinationOptions": {
              "type": "object",
              "properties": {
                "originDestinationOption": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "rph": { "type": "string" },
                      "flightSegment": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "departureAirport": {
                              "type": "object",
                              "properties": {
                                "locationCode": { "type": "string" }
                              },
                              "required": ["locationCode"]
                            },
                            "arrivalAirport": {
                              "type": "object",
                              "properties": {
                                "locationCode": { "type": "string" }
                              },
                              "required": ["locationCode"]
                            },
                            "operatingAirline": {
                              "type": "object",
                              "properties": {
                                "code": { "type": "string" },
                                "flightNumber": { "type": "string" }
                              },
                              "required": ["code", "flightNumber"]
                            },
                            "marketingAirline": {
                              "type": "object",
                              "properties": {
                                "code": { "type": "string" }
                              },
                              "required": ["code"]
                            },
                            "departureDateTime": { "type": "string", "format": "date-time" },
                            "arrivalDateTime": { "type": "string", "format": "date-time" },
                            "flightNumber": { "type": "string" },
                            "fareBasisCode": { "type": "string" },
                            "resBookDesigCode": { "type": "string" },
                            "status": { "type": "string" }
                          },
                          "required": [
                            "departureAirport",
                            "arrivalAirport",
                            "operatingAirline",
                            "marketingAirline",
                            "departureDateTime",
                            "arrivalDateTime",
                            "flightNumber"
                          ]
                        }
                      }
                    },
                    "required": ["flightSegment", "rph"]
                  }
                }
              },
              "required": ["originDestinationOption"]
            }
          },
          "required": ["originDestinationOptions"]
        },
        "travelerInfo": {
          "type": "object",
          "properties": {
            "airTraveler": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "personName": {
                    "type": "object",
                    "properties": {
                      "givenName": { "type": "array", "items": { "type": "string" } },
                      "surname": { "type": "string" }
                    },
                    "required": ["givenName", "surname"]
                  },
                  "telephone": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "countryAccessCode": { "type": "string" },
                        "phoneNumber": { "type": "string" }
                      }
                    }
                  },
                  "email": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "value": { "type": "string", "format": "email" }
                      },
                      "required": ["value"]
                    }
                  },
                  "passengerTypeCode": { "type": "string" }
                },
                "required": ["personName", "passengerTypeCode"]
              }
            }
          }
        }
      },
      "required": ["airItinerary", "travelerInfo"]
    },
    "airBookModifyRQ": {
      "type": "object",
      "properties": {
        "modificationType": { "type": "string" },
        "airItinerary": { "$ref": "#/properties/airReservation/properties/airItinerary" }
      },
      "required": ["modificationType", "airItinerary"]
    }
  },
  "required": ["version", "pos", "airReservation", "airBookModifyRQ"]
}

AirBookModifyRQ

Field Type Required Description
version String Yes API schema version
pos Object Yes Point of Sale details (booking source)
airReservation Object Yes Main reservation data (itinerary, pricing, travelers, tickets)
airBookModifyRQ Object Yes Request for modification of booking

POS → Source

Field Type Required Description
bookingChannel.type String Yes Booking channel type (e.g., OTA)
isocurrency String Yes ISO currency code (e.g., SAR)
requestorID.type String Yes Requestor type identifier
requestorID.id String Yes Agent ID
requestorID.name String Yes Agency ID
requestorID.location String No Requestor location

AirReservation → FlightSegment

Field Type Required Description
departureAirport.locationCode String Yes Departure airport code
arrivalAirport.locationCode String Yes Arrival airport code
operatingAirline.code String Yes Operating airline code
operatingAirline.flightNumber String Yes Operating flight number
marketingAirline.code String No Marketing airline code
flightNumber String Yes Flight number (marketing or operating)
fareBasisCode String No Fare basis code
resBookDesigCode String No Reservation booking designator
departureDateTime String (date-time) Yes Departure date/time
arrivalDateTime String (date-time) Yes Arrival date/time
status String No Segment status code

TravelerInfo → AirTraveler

Field Type Required Description
personName.givenName Array of String Yes Traveler’s given/first name(s)
personName.surname String Yes Traveler’s surname
telephone.countryAccessCode String Yes Country code for phone
telephone.phoneNumber String Yes Phone number
email.value String Yes Email address
address.cityName String No City name
address.countryName.code String No ISO country code
document.docID String No Document ID (passport, ID, etc.)
document.docType String No Document type code
document.expireDate String (date) No Document expiration date
travelerRefNumber.rph String No Traveler reference pointer
passengerTypeCode String Yes Passenger type code (ADT, CHD, INF, etc.)
gender String No Traveler’s gender

Ticketing

Field Type Required Description
ticketType String Yes Type of ticket (E_TICKET, PAPER, etc.)
flightSegmentRefNumber Array of String Yes References to flight segments
travelerRefNumber Array of String Yes References to traveler(s)
ticketDocumentNbr String Yes Ticket document number
passengerTypeCode String Yes Passenger type (ADT, CHD, INF, etc.)
tpaextensions.couponInfos Array No Coupon info details
tpaextensions.couponProviderDetails Array No Provider coupon/ticket mapping
tpaextensions.links Array No Download links for tickets
tpaextensions.urls String No Ticket URLs (space-separated)

This diagram illustrates the API call sequence Alt text

Python code snippet to build request payload
    #agentId = ...
    #agencyId = ...
    #otaReadRQResponseBody = `response from OTA_ReadRQ`

    """
        Cancel all segments
    """
    cancelAllSegmentsRequest = {
        "version": "2.001",
        "pos": {
            "source": [
                {
                    "bookingChannel": {
                        "type": "OTA"
                    },
                    "isocurrency": "SAR",
                    "requestorID": {
                        "type": "5",
                        "id": agentId,
                        "name": agencyId,
                        "location": "CPH"
                    }
                }
            ]
        },
        "airReservation": otaReadRQResponseBody.get("airReservation"),
        "airBookModifyRQ": {
            "modificationType": "10",
            "airItinerary": otaReadRQResponseBody.get("airReservation", {}).get("airItinerary")
        }
    }


    """
        Only cancel the first segment
    """
    air_itinerary = otaReadRQResponseBody.get("airReservation", {}).get("airItinerary", {})

    origin_options = air_itinerary.get("originDestinationOptions", {}).get("originDestinationOption", [])
    if origin_options:
        air_itinerary = {
                "originDestinationOptions": {
                "originDestinationOption": [origin_options[0]]  # only the first segment
            }
        }

    cancelFirstSegmentRequest = {
        "version": "2.001",
        "pos": {
            "source": [
                {
                    "bookingChannel": {"type": "OTA"},
                    "isocurrency": "SAR",
                    "requestorID": {
                        "type": "5",
                        "id": agentId,
                        "name": agencyId,
                        "location": "CPH"
                    }
                }
            ]
        },
        "airReservation": otaReadRQResponseBody.get("airReservation"),
        "airBookModifyRQ": {
            "modificationType": "10",
            "airItinerary": air_itinerary
        }
    }

Example of Request Payload(Outbound Segment)
{
    "version": "2.001",
    "pos": {
        "source": [
            {
                "bookingChannel": {
                    "type": "OTA"
                },
                "isocurrency": "SAR",
                "requestorID": {
                    "type": "5",
                    "id": "",
                    "name": "",
                    "location": "CPH"
                }
            }
        ]
    },
    "airReservation": {
        "airItinerary": {
            "originDestinationOptions": {
                "originDestinationOption": [
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "DMX"
                                },
                                "arrivalAirport": {
                                    "locationCode": "JED"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8081"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-29T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-29T09:48:00.000+03:00",
                                "rph": "1",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8081",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "1"
                    },
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "JED"
                                },
                                "arrivalAirport": {
                                    "locationCode": "DMX"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8080"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-30T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-30T09:48:00.000+03:00",
                                "rph": "2",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8080",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "2"
                    }
                ]
            }
        },
        "priceInfo": {
            "itinTotalFare": [
                {
                    "baseFare": {
                        "currencyCode": "SAR",
                        "amount": 1500.00
                    },
                    "equivFare": [],
                    "taxes": {
                        "tax": [
                            {
                                "taxCode": "VAT",
                                "currencyCode": "SAR",
                                "amount": 225.00
                            }
                        ],
                        "amount": 225.00
                    },
                    "fees": {
                        "fee": [
                            {
                                "feeCode": "VAT_VAT",
                                "currencyCode": "SAR",
                                "amount": 0.00
                            }
                        ],
                        "amount": 0.00
                    },
                    "totalFare": {
                        "currencyCode": "SAR",
                        "amount": 1725.00
                    },
                    "fareBaggageAllowance": [],
                    "remark": []
                }
            ],
            "fareInfos": {
                "fareInfo": [
                    {
                        "fareReference": [
                            {
                                "value": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "accountCode": "EWTOWM2"
                            }
                        ],
                        "ruleInfo": {
                            "tpaextensions": {
                                "cancellationTimeLimit": "2026-07-31T06:25:05Z",
                                "confirmationTimeLimit": "2025-07-31T06:54:48Z",
                                "updateTravellersTimeLimit": "2025-08-26T05:00:00Z"
                            }
                        },
                        "filingAirline": {
                            "value": "HHR"
                        },
                        "marketingAirline": [],
                        "departureAirport": {
                            "locationCode": "DMX"
                        },
                        "arrivalAirport": {
                            "locationCode": "JED"
                        },
                        "date": [],
                        "fareInfo": [],
                        "city": [],
                        "airport": [],
                        "rph": "1"
                    },
                    {
                        "fareReference": [
                            {
                                "value": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "accountCode": "EWTOWM2"
                            }
                        ],
                        "ruleInfo": {
                            "tpaextensions": {
                                "cancellationTimeLimit": "2026-07-31T06:25:05Z",
                                "confirmationTimeLimit": "2025-07-31T06:54:48Z",
                                "updateTravellersTimeLimit": "2025-08-26T05:00:00Z"
                            }
                        },
                        "filingAirline": {
                            "value": "HHR"
                        },
                        "marketingAirline": [],
                        "departureAirport": {
                            "locationCode": "JED"
                        },
                        "arrivalAirport": {
                            "locationCode": "DMX"
                        },
                        "date": [],
                        "fareInfo": [],
                        "city": [],
                        "airport": [],
                        "rph": "2"
                    }
                ]
            },
            "ptcfareBreakdowns": {
                "ptcfareBreakdown": [
                    {
                        "passengerTypeQuantity": {
                            "code": "ADT",
                            "quantity": 5
                        },
                        "fareBasisCodes": {
                            "fareBasisCode": [
                                {
                                    "value": "EWTOWM2",
                                    "flightSegmentRPH": "1"
                                }
                            ]
                        },
                        "passengerFare": [
                            {
                                "baseFare": {
                                    "currencyCode": "SAR",
                                    "amount": 750.00
                                },
                                "equivFare": [],
                                "taxes": {
                                    "tax": [
                                        {
                                            "taxCode": "VAT",
                                            "taxName": "VAT",
                                            "currencyCode": "SAR",
                                            "amount": 112.50
                                        }
                                    ],
                                    "amount": 112.50
                                },
                                "fees": {
                                    "fee": [
                                        {
                                            "feeCode": "VAT_VAT",
                                            "currencyCode": "SAR",
                                            "amount": 0.00
                                        }
                                    ],
                                    "amount": 0.00
                                },
                                "totalFare": {
                                    "currencyCode": "SAR",
                                    "amount": 862.50
                                },
                                "fareBaggageAllowance": [],
                                "remark": []
                            }
                        ],
                        "travelerRefNumber": [
                            {
                                "rph": "1"
                            },
                            {
                                "rph": "2"
                            },
                            {
                                "rph": "3"
                            },
                            {
                                "rph": "4"
                            },
                            {
                                "rph": "5"
                            }
                        ],
                        "ticketDesignators": {
                            "ticketDesignator": [
                                {
                                    "flightRefRPH": "1"
                                }
                            ]
                        },
                        "fareInfo": [
                            {
                                "fareReference": [
                                    {
                                        "value": "EWTOWM2",
                                        "resBookDesigCode": "Y",
                                        "accountCode": "EWTOWM2"
                                    }
                                ],
                                "marketingAirline": [],
                                "date": [],
                                "fareInfo": [],
                                "city": [],
                                "airport": []
                            }
                        ],
                        "pricingUnit": [],
                        "flightRefNumberRPHList": [
                            "1"
                        ]
                    },
                    {
                        "passengerTypeQuantity": {
                            "code": "ADT",
                            "quantity": 5
                        },
                        "fareBasisCodes": {
                            "fareBasisCode": [
                                {
                                    "value": "EWTOWM2",
                                    "flightSegmentRPH": "2"
                                }
                            ]
                        },
                        "passengerFare": [
                            {
                                "baseFare": {
                                    "currencyCode": "SAR",
                                    "amount": 750.00
                                },
                                "equivFare": [],
                                "taxes": {
                                    "tax": [
                                        {
                                            "taxCode": "VAT",
                                            "taxName": "VAT",
                                            "currencyCode": "SAR",
                                            "amount": 112.50
                                        }
                                    ],
                                    "amount": 112.50
                                },
                                "fees": {
                                    "fee": [
                                        {
                                            "feeCode": "VAT_VAT",
                                            "currencyCode": "SAR",
                                            "amount": 0.00
                                        }
                                    ],
                                    "amount": 0.00
                                },
                                "totalFare": {
                                    "currencyCode": "SAR",
                                    "amount": 862.50
                                },
                                "fareBaggageAllowance": [],
                                "remark": []
                            }
                        ],
                        "travelerRefNumber": [
                            {
                                "rph": "1"
                            },
                            {
                                "rph": "2"
                            },
                            {
                                "rph": "3"
                            },
                            {
                                "rph": "4"
                            },
                            {
                                "rph": "5"
                            }
                        ],
                        "ticketDesignators": {
                            "ticketDesignator": [
                                {
                                    "flightRefRPH": "2"
                                }
                            ]
                        },
                        "fareInfo": [
                            {
                                "fareReference": [
                                    {
                                        "value": "EWTOWM2",
                                        "resBookDesigCode": "Y",
                                        "accountCode": "EWTOWM2"
                                    }
                                ],
                                "marketingAirline": [],
                                "date": [],
                                "fareInfo": [],
                                "city": [],
                                "airport": []
                            }
                        ],
                        "pricingUnit": [],
                        "flightRefNumberRPHList": [
                            "2"
                        ]
                    }
                ]
            }
        },
        "travelerInfo": {
            "airTraveler": [
                {
                    "personName": {
                        "namePrefix": [],
                        "givenName": [
                            "QA TEST"
                        ],
                        "middleName": [],
                        "surname": "TESTER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io",
                            "defaultInd": true
                        }
                    ],
                    "address": [
                        {
                            "bldgRoom": [],
                            "addressLine": [],
                            "cityName": "Makkha",
                            "countryName": {
                                "value": "",
                                "code": "SA"
                            }
                        }
                    ],
                    "custLoyalty": [],
                    "document": [],
                    "socialMediaInfo": [],
                    "passengerTypeCode": "CTC",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MISS"
                        ],
                        "givenName": [
                            "PAXONE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "XMMUQ56302341",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "1"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MISS"
                        ],
                        "givenName": [
                            "PAXTWO"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "VPLEI22020697",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "2"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXTHREE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "JESAR47407936",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "3"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXFORE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "PBWXC85171457",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "4"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXFIVE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "FZDKA38013984",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "5"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                }
            ],
            "specialReqDetails": []
        },
        "ticketing": [
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "1"
                ],
                "ticketDocumentNbr": "3333330322287",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448F3E8985058",
                            "seat": "118"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "09244843A8985061",
                            "seat": "114"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "1"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "1"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "2"
                ],
                "ticketDocumentNbr": "3333330322288",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448DDF8985059",
                            "seat": "119"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924481A58985064",
                            "seat": "115"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "2"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "2"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "3"
                ],
                "ticketDocumentNbr": "3333330322289",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448CD48985060",
                            "seat": "120"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924480C68985065",
                            "seat": "116"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "3"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "3"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "4"
                ],
                "ticketDocumentNbr": "3333330322290",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448AC88985062",
                            "seat": "121"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924483B28985066",
                            "seat": "117"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "4"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "4"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "5"
                ],
                "ticketDocumentNbr": "3333330322291",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "0924482CC8985063",
                            "seat": "122"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924483988985067",
                            "seat": "118"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "5"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "5"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=2"
                }
            }
        ],
        "bookingReferenceID": [
            {
                "companyName": {
                    "code": "W1"
                },
                "type": "14",
                "id": "V8LXBO",
                "flightRefNumberRPHList": []
            },
            {
                "companyName": {
                    "code": "HHR"
                },
                "type": "14",
                "id": "CC1A7683A",
                "flightRefNumberRPHList": []
            },
            {
                "companyName": {
                    "code": "HHR"
                },
                "type": "14",
                "id": "6C6E69DE1",
                "flightRefNumberRPHList": []
            }
        ],
        "offer": {
            "summary": [],
            "priced": [
                {
                    "shortDescription": [],
                    "longDescription": [],
                    "originDestination": [],
                    "otherServices": [],
                    "restriction": [],
                    "termsAndConditions": [],
                    "commission": [],
                    "multimedia": [],
                    "bookingReferenceID": [],
                    "id": "2090026",
                    "tpaextensions": {
                        "orderInfo": {
                            "action": "CREATE_BOOKING",
                            "currencyCode": "SAR",
                            "direction": "PAYMENT",
                            "orderType": "BOOKING",
                            "status": "PAID",
                            "totalAmount": "1725.00"
                        }
                    }
                }
            ],
            "purchased": []
        },
        "createDateTime": "2025-07-31T06:24:50.463Z",
        "emdinfo": []
    },
    "airBookModifyRQ": {
        "modificationType": "10",
        "airItinerary": {
            "originDestinationOptions": {
                "originDestinationOption": [
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "DMX"
                                },
                                "arrivalAirport": {
                                    "locationCode": "JED"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8081"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-29T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-29T09:48:00.000+03:00",
                                "rph": "1",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8081",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "1"
                    }
                ]
            }
        }
    }
}
Example of Request Payload(Both Outbound and Inbound Segments)
{
    "version": "2.001",
    "pos": {
        "source": [
            {
                "bookingChannel": {
                    "type": "OTA"
                },
                "isocurrency": "SAR",
                "requestorID": {
                    "type": "5",
                    "id": "",
                    "name": "",
                    "location": "CPH"
                }
            }
        ]
    },
    "airReservation": {
        "airItinerary": {
            "originDestinationOptions": {
                "originDestinationOption": [
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "DMX"
                                },
                                "arrivalAirport": {
                                    "locationCode": "JED"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8081"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-29T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-29T09:48:00.000+03:00",
                                "rph": "1",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8081",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "1"
                    },
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "JED"
                                },
                                "arrivalAirport": {
                                    "locationCode": "DMX"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8080"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-30T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-30T09:48:00.000+03:00",
                                "rph": "2",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8080",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "2"
                    }
                ]
            }
        },
        "priceInfo": {
            "itinTotalFare": [
                {
                    "baseFare": {
                        "currencyCode": "SAR",
                        "amount": 1500.00
                    },
                    "equivFare": [],
                    "taxes": {
                        "tax": [
                            {
                                "taxCode": "VAT",
                                "currencyCode": "SAR",
                                "amount": 225.00
                            }
                        ],
                        "amount": 225.00
                    },
                    "fees": {
                        "fee": [
                            {
                                "feeCode": "VAT_VAT",
                                "currencyCode": "SAR",
                                "amount": 0.00
                            }
                        ],
                        "amount": 0.00
                    },
                    "totalFare": {
                        "currencyCode": "SAR",
                        "amount": 1725.00
                    },
                    "fareBaggageAllowance": [],
                    "remark": []
                }
            ],
            "fareInfos": {
                "fareInfo": [
                    {
                        "fareReference": [
                            {
                                "value": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "accountCode": "EWTOWM2"
                            }
                        ],
                        "ruleInfo": {
                            "tpaextensions": {
                                "cancellationTimeLimit": "2026-07-31T06:25:05Z",
                                "confirmationTimeLimit": "2025-07-31T06:54:48Z",
                                "updateTravellersTimeLimit": "2025-08-26T05:00:00Z"
                            }
                        },
                        "filingAirline": {
                            "value": "HHR"
                        },
                        "marketingAirline": [],
                        "departureAirport": {
                            "locationCode": "DMX"
                        },
                        "arrivalAirport": {
                            "locationCode": "JED"
                        },
                        "date": [],
                        "fareInfo": [],
                        "city": [],
                        "airport": [],
                        "rph": "1"
                    },
                    {
                        "fareReference": [
                            {
                                "value": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "accountCode": "EWTOWM2"
                            }
                        ],
                        "ruleInfo": {
                            "tpaextensions": {
                                "cancellationTimeLimit": "2026-07-31T06:25:05Z",
                                "confirmationTimeLimit": "2025-07-31T06:54:48Z",
                                "updateTravellersTimeLimit": "2025-08-26T05:00:00Z"
                            }
                        },
                        "filingAirline": {
                            "value": "HHR"
                        },
                        "marketingAirline": [],
                        "departureAirport": {
                            "locationCode": "JED"
                        },
                        "arrivalAirport": {
                            "locationCode": "DMX"
                        },
                        "date": [],
                        "fareInfo": [],
                        "city": [],
                        "airport": [],
                        "rph": "2"
                    }
                ]
            },
            "ptcfareBreakdowns": {
                "ptcfareBreakdown": [
                    {
                        "passengerTypeQuantity": {
                            "code": "ADT",
                            "quantity": 5
                        },
                        "fareBasisCodes": {
                            "fareBasisCode": [
                                {
                                    "value": "EWTOWM2",
                                    "flightSegmentRPH": "1"
                                }
                            ]
                        },
                        "passengerFare": [
                            {
                                "baseFare": {
                                    "currencyCode": "SAR",
                                    "amount": 750.00
                                },
                                "equivFare": [],
                                "taxes": {
                                    "tax": [
                                        {
                                            "taxCode": "VAT",
                                            "taxName": "VAT",
                                            "currencyCode": "SAR",
                                            "amount": 112.50
                                        }
                                    ],
                                    "amount": 112.50
                                },
                                "fees": {
                                    "fee": [
                                        {
                                            "feeCode": "VAT_VAT",
                                            "currencyCode": "SAR",
                                            "amount": 0.00
                                        }
                                    ],
                                    "amount": 0.00
                                },
                                "totalFare": {
                                    "currencyCode": "SAR",
                                    "amount": 862.50
                                },
                                "fareBaggageAllowance": [],
                                "remark": []
                            }
                        ],
                        "travelerRefNumber": [
                            {
                                "rph": "1"
                            },
                            {
                                "rph": "2"
                            },
                            {
                                "rph": "3"
                            },
                            {
                                "rph": "4"
                            },
                            {
                                "rph": "5"
                            }
                        ],
                        "ticketDesignators": {
                            "ticketDesignator": [
                                {
                                    "flightRefRPH": "1"
                                }
                            ]
                        },
                        "fareInfo": [
                            {
                                "fareReference": [
                                    {
                                        "value": "EWTOWM2",
                                        "resBookDesigCode": "Y",
                                        "accountCode": "EWTOWM2"
                                    }
                                ],
                                "marketingAirline": [],
                                "date": [],
                                "fareInfo": [],
                                "city": [],
                                "airport": []
                            }
                        ],
                        "pricingUnit": [],
                        "flightRefNumberRPHList": [
                            "1"
                        ]
                    },
                    {
                        "passengerTypeQuantity": {
                            "code": "ADT",
                            "quantity": 5
                        },
                        "fareBasisCodes": {
                            "fareBasisCode": [
                                {
                                    "value": "EWTOWM2",
                                    "flightSegmentRPH": "2"
                                }
                            ]
                        },
                        "passengerFare": [
                            {
                                "baseFare": {
                                    "currencyCode": "SAR",
                                    "amount": 750.00
                                },
                                "equivFare": [],
                                "taxes": {
                                    "tax": [
                                        {
                                            "taxCode": "VAT",
                                            "taxName": "VAT",
                                            "currencyCode": "SAR",
                                            "amount": 112.50
                                        }
                                    ],
                                    "amount": 112.50
                                },
                                "fees": {
                                    "fee": [
                                        {
                                            "feeCode": "VAT_VAT",
                                            "currencyCode": "SAR",
                                            "amount": 0.00
                                        }
                                    ],
                                    "amount": 0.00
                                },
                                "totalFare": {
                                    "currencyCode": "SAR",
                                    "amount": 862.50
                                },
                                "fareBaggageAllowance": [],
                                "remark": []
                            }
                        ],
                        "travelerRefNumber": [
                            {
                                "rph": "1"
                            },
                            {
                                "rph": "2"
                            },
                            {
                                "rph": "3"
                            },
                            {
                                "rph": "4"
                            },
                            {
                                "rph": "5"
                            }
                        ],
                        "ticketDesignators": {
                            "ticketDesignator": [
                                {
                                    "flightRefRPH": "2"
                                }
                            ]
                        },
                        "fareInfo": [
                            {
                                "fareReference": [
                                    {
                                        "value": "EWTOWM2",
                                        "resBookDesigCode": "Y",
                                        "accountCode": "EWTOWM2"
                                    }
                                ],
                                "marketingAirline": [],
                                "date": [],
                                "fareInfo": [],
                                "city": [],
                                "airport": []
                            }
                        ],
                        "pricingUnit": [],
                        "flightRefNumberRPHList": [
                            "2"
                        ]
                    }
                ]
            }
        },
        "travelerInfo": {
            "airTraveler": [
                {
                    "personName": {
                        "namePrefix": [],
                        "givenName": [
                            "QA TEST"
                        ],
                        "middleName": [],
                        "surname": "TESTER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io",
                            "defaultInd": true
                        }
                    ],
                    "address": [
                        {
                            "bldgRoom": [],
                            "addressLine": [],
                            "cityName": "Makkha",
                            "countryName": {
                                "value": "",
                                "code": "SA"
                            }
                        }
                    ],
                    "custLoyalty": [],
                    "document": [],
                    "socialMediaInfo": [],
                    "passengerTypeCode": "CTC",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MISS"
                        ],
                        "givenName": [
                            "PAXONE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "XMMUQ56302341",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "1"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MISS"
                        ],
                        "givenName": [
                            "PAXTWO"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "VPLEI22020697",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "2"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXTHREE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "JESAR47407936",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "3"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXFORE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "PBWXC85171457",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "4"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                },
                {
                    "personName": {
                        "namePrefix": [
                            "MR"
                        ],
                        "givenName": [
                            "PAXFIVE"
                        ],
                        "middleName": [],
                        "surname": "PARKER",
                        "nameSuffix": [],
                        "nameTitle": []
                    },
                    "telephone": [
                        {
                            "countryAccessCode": "380",
                            "phoneNumber": "671234567"
                        }
                    ],
                    "email": [
                        {
                            "value": "jjiamtaweeboon@go7.io"
                        }
                    ],
                    "address": [],
                    "custLoyalty": [],
                    "document": [
                        {
                            "docLimitations": [],
                            "birthDate": "1979-01-01"
                        },
                        {
                            "docLimitations": [],
                            "docID": "FZDKA38013984",
                            "docType": "5",
                            "docHolderNationality": "SA",
                            "expireDate": "2027-12-12"
                        }
                    ],
                    "travelerRefNumber": {
                        "rph": "5"
                    },
                    "flightSegmentRPHs": {
                        "flightSegmentRPH": [
                            "1",
                            "2"
                        ]
                    },
                    "socialMediaInfo": [],
                    "passengerTypeCode": "ADT",
                    "gender": "Male",
                    "comment": []
                }
            ],
            "specialReqDetails": []
        },
        "ticketing": [
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "1"
                ],
                "ticketDocumentNbr": "3333330322287",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448F3E8985058",
                            "seat": "118"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "09244843A8985061",
                            "seat": "114"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "1"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "1"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322287&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "2"
                ],
                "ticketDocumentNbr": "3333330322288",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448DDF8985059",
                            "seat": "119"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924481A58985064",
                            "seat": "115"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "2"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "2"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322288&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "3"
                ],
                "ticketDocumentNbr": "3333330322289",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448CD48985060",
                            "seat": "120"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924480C68985065",
                            "seat": "116"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "3"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "3"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322289&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "4"
                ],
                "ticketDocumentNbr": "3333330322290",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "092448AC88985062",
                            "seat": "121"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924483B28985066",
                            "seat": "117"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "4"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "4"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322290&couponNumber=2"
                }
            },
            {
                "ticketAdvisory": [],
                "ticketType": "E_TICKET",
                "flightSegmentRefNumber": [
                    "1"
                ],
                "travelerRefNumber": [
                    "5"
                ],
                "ticketDocumentNbr": "3333330322291",
                "passengerTypeCode": "ADT",
                "miscTicketingCode": [],
                "tpaextensions": {
                    "couponInfos": [
                        {
                            "flightRefRPH": "1",
                            "number": "1",
                            "status": "O"
                        },
                        {
                            "flightRefRPH": "2",
                            "number": "2",
                            "status": "O"
                        }
                    ],
                    "couponProviderDetails": [
                        {
                            "coach": "006",
                            "flightRefRPH": "1",
                            "providerTicketNumber": "0924482CC8985063",
                            "seat": "122"
                        },
                        {
                            "coach": "006",
                            "flightRefRPH": "2",
                            "providerTicketNumber": "0924483988985067",
                            "seat": "118"
                        }
                    ],
                    "links": [
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=1",
                            "rel": "downloadTicket",
                            "segmentRPH": "1",
                            "travelerRPH": "5"
                        },
                        {
                            "href": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=2",
                            "rel": "downloadTicket",
                            "segmentRPH": "2",
                            "travelerRPH": "5"
                        }
                    ],
                    "urls": "https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=1 https://test-api.worldticket.net/sms-gateway-service/tickets/confirmation/V8LXBO/download/passenger-segment?ticketNumber=3333330322291&couponNumber=2"
                }
            }
        ],
        "bookingReferenceID": [
            {
                "companyName": {
                    "code": "W1"
                },
                "type": "14",
                "id": "V8LXBO",
                "flightRefNumberRPHList": []
            },
            {
                "companyName": {
                    "code": "HHR"
                },
                "type": "14",
                "id": "CC1A7683A",
                "flightRefNumberRPHList": []
            },
            {
                "companyName": {
                    "code": "HHR"
                },
                "type": "14",
                "id": "6C6E69DE1",
                "flightRefNumberRPHList": []
            }
        ],
        "offer": {
            "summary": [],
            "priced": [
                {
                    "shortDescription": [],
                    "longDescription": [],
                    "originDestination": [],
                    "otherServices": [],
                    "restriction": [],
                    "termsAndConditions": [],
                    "commission": [],
                    "multimedia": [],
                    "bookingReferenceID": [],
                    "id": "2090026",
                    "tpaextensions": {
                        "orderInfo": {
                            "action": "CREATE_BOOKING",
                            "currencyCode": "SAR",
                            "direction": "PAYMENT",
                            "orderType": "BOOKING",
                            "status": "PAID",
                            "totalAmount": "1725.00"
                        }
                    }
                }
            ],
            "purchased": []
        },
        "createDateTime": "2025-07-31T06:24:50.463Z",
        "emdinfo": []
    },
    "airBookModifyRQ": {
        "modificationType": "10",
        "airItinerary": {
            "originDestinationOptions": {
                "originDestinationOption": [
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "DMX"
                                },
                                "arrivalAirport": {
                                    "locationCode": "JED"
                                },
                                "operatingAirline": {
                                    "code": "HHR",
                                    "flightNumber": "8081"
                                },
                                "equipment": [],
                                "departureDateTime": "2025-08-29T08:00:00.000+03:00",
                                "arrivalDateTime": "2025-08-29T09:48:00.000+03:00",
                                "rph": "1",
                                "marketingAirline": {
                                    "code": "HHR"
                                },
                                "flightNumber": "8081",
                                "fareBasisCode": "EWTOWM2",
                                "resBookDesigCode": "Y",
                                "bookingClassAvails": [],
                                "comment": [],
                                "stopLocation": [],
                                "status": "30"
                            }
                        ],
                        "rph": "1"
                    },
                    {
                        "flightSegment": [
                            {
                                "departureAirport": {
                                    "locationCode": "JED"
[...]
